.nav-mobile {
  --header-color: var(--anrt-color-white);

  color: var(--header-color);
}

.nav-mobile .menu--main {
  display: flex;
  flex-direction: column;
  gap: var(--anrt-spacing-200);
  margin: 0;
  padding: 0;
}

.nav-mobile .menu-item {
  list-style: none;
}

.nav-mobile .menu-item a {
  text-decoration: none;
  letter-spacing: 0.02em;
  color: var(--anrt-color-white);
  font-size: var(--anrt-font-size-125);
  font-weight: 300;
  line-height: var(--anrt-line-height-small);
}

.nav-mobile .menu-main--sub-menu {
  display: flex;
  flex-direction: column;
  margin-top: var(--anrt-spacing-100);
  margin-left: var(--anrt-spacing-100);
  padding-left: 0;
  gap: var(--anrt-spacing-100);
}

.nav-mobile .sl-dialog__close-button {
  padding: var(--anrt-font-size-100);
  cursor: pointer;
  color: var(--anrt-color-white);
  border: 0;
  background: transparent;
  font-size: var(--anrt-font-size-100);
  font-weight: 500;
}

.nav-mobile .sl-dialog__header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav-mobile .sl-dialog__body {
  display: flex;
  overflow-y: auto;
  flex: 1;
  flex-direction: column;
  gap: var(--anrt-font-size-250);
}

.nav-mobile .sl-dialog__body nav {
  margin-bottom: auto;
}

.nav-mobile__toggle {
  display: flex;
  padding: 0;
  cursor: pointer;
  letter-spacing: 0.02em;
  color: var(--anrt-color-white);
  border: 0;
  background-color: transparent;
  font-size: var(--anrt-font-size-125);
  font-weight: 300;
  line-height: var(--anrt-line-height-small);
  gap: var(--anrt-spacing-025);
}

.nav-mobile__toggle[aria-expanded="false"] .nav-mobile__toggle--open {
  display: block;
}

.nav-mobile__toggle[aria-expanded="true"] .nav-mobile__toggle--open {
  display: none;
}

.nav-mobile__toggle[aria-expanded="false"] .nav-mobile__toggle--closed {
  display: none;
}

.nav-mobile__toggle[aria-expanded="true"] .nav-mobile__toggle--closed {
  display: block;
}

#nav-mobile-submenu[data-disclosure-expanded="false"] {
  display: none;
}

#nav-mobile-submenu[data-disclosure-expanded="true"] {
  display: block;
}

body:has(.nav-mobile[aria-hidden="false"]) {
  overflow: hidden;
}
